
package polyj.lang;

public final class LongWrap extends Primitive{
  public static final Object Default = (Object) new LongWrap(0);
  public long value;
  
  public long Unwrap()
  { return value; }
  
  public LongWrap(long i)
  { value = i; }
  public LongWrap() {}

  public static Object Cast(Object o) {
    Primitive p = (Primitive) o;
    return (Object) new LongWrap(p.longValue());
  }

  public String toString()
  { return String.valueOf(value); }
  public int hashCode()
  { return (int) (value^(value>>>32)); }

  public long longValue()
  { return value; }
  public double doubleValue()
  { return (double) value; }

  public int compareTo(LongWrap l)
  { return value == l.value ? 0 : value > l.value ? 1 : -1; }
}
